### Method

# Gtk BuilderCScopeadd_callback_symbols

#### Declaration [src]

    void
    gtk_builder_cscope_add_callback_symbols (
      GtkBuilderCScope* self,
      const char* first_callback_name,
      GCallback first_callback_symbol,
      ...
    )

#### Description [src]

A convenience function to add many callbacks.

This is equivalent to calling `gtk_builder_cscope_add_callback_symbol()` for each symbol.

This method is not directly available to language bindings.

#### Parameters

`first_callback_name`

  Type: `const char*`

  The name of the callback, as expected in the XML.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`first_callback_symbol`

  Type: `GCallback`

  The callback pointer.

`...`

  Type: ``

  A list of callback name and callback symbol pairs terminated with `NULL`.